## tango 9.3.4%2Bdfsg1

=== cppserver/tangoaccesscontrol/CMakeLists.txt ===
#=============================================================================
#
# file :        CMakeLists.txt
#
# description : File to generate a TANGO device server using cmake.
#
# project :     TangoAccessControl
#
# $Author:  $
#
# $Revision:  $
# $Date:  $
#
#=============================================================================
#                This file is generated by POGO
#        (Program Obviously used to Generate tango Object)
#=============================================================================
#
#

cmake_minimum_required (VERSION 2.8)
set(CMAKE_SKIP_RPATH true)

# MAKE_ENV is the path to find common environment to buil project
#
set(MAKE_ENV ${TANGO_HOME})
#
# Project definitions
#
project(TangoAccessControl)

#
# optional compiler flags
#
set(CXXFLAGS_USER -g)


#
# Get global information
#
include(${MAKE_ENV}/cmake_tango.opt)

#
# Files for TangoAccessControl TANGO class
#
set(TANGOACCESSCONTROL TangoAccessControl)
set(TANGOACCESSCONTROL_INCLUDE ${CMAKE_SOURCE_DIR})
set(TANGOACCESSCONTROL_SRC ${TANGOACCESSCONTROL}.cpp ${TANGOACCESSCONTROL}Class.cpp ${TANGOACCESSCONTROL}StateMachine.cpp DbUtils.cpp)
#
# Files for AccessControl TANGO class
#
set(ACCESSCONTROL_PATH ../AbstractClasses)
set(ACCESSCONTROL AccessControl)
set(ACCESSCONTROL_INCLUDE ../AbstractClasses)
set(ACCESSCONTROL_SRC ${ACCESSCONTROL_PATH}/${ACCESSCONTROL}.cpp ${ACCESSCONTROL_PATH}/${ACCESSCONTROL}Class.cpp ${ACCESSCONTROL_PATH}/${ACCESSCONTROL}StateMachine.cpp)


#
# User additional include, link folders/libraries and source files
#
set(USER_INCL_DIR /usr/include/mysql)
set(USER_LIB_DIR /usr/lib/x86_64-linux-gnu)
set(USER_LIBS mysqlclient_r)
set(USER_SRC_FILES )

#
# Set gloabal info and include directories
#
set(ALL_CLASS_INCLUDE  ${TANGOACCESSCONTROL_INCLUDE} ${ACCESSCONTROL_INCLUDE}  ${USER_INCL_DIR})
set(SERVER_SRC ${TANGOACCESSCONTROL_SRC} ${ACCESSCONTROL_SRC}  ${USER_SRC_FILES} ClassFactory.cpp main.cpp)
include_directories(${ALL_CLASS_INCLUDE}  ${USER_INCL_DIR} ${TANGO_INCLUDES})

#
# Device Server generation
#
set(SERVER_NAME TangoAccessControl)
include(${MAKE_ENV}/cmake_common_target.opt)
