=== cppserver/starter/CMakeLists.txt ===
#=============================================================================
#
# file :        CMakeLists.txt
#
# description : File to generate a TANGO device server using cmake.
#
# project :     Starter
#
# $Author:  $
#
# $Revision:  $
# $Date:  $
#
#=============================================================================
#                This file is generated by POGO
#        (Program Obviously used to Generate tango Object)
#=============================================================================
#
#

cmake_minimum_required (VERSION 2.8)
set(CMAKE_SKIP_RPATH true)

# MAKE_ENV is the path to find common environment to buil project
#
set(MAKE_ENV /segfs/tango/cppserver/env)
#
# Project definitions
#
project(Starter)

#
# optional compiler flags
#
set(CXXFLAGS_USER -g)


#
# Get global information
#
include(${MAKE_ENV}/cmake_tango.opt)

#
# Files for Starter TANGO class
#
set(STARTER Starter)
set(STARTER_INCLUDE ${CMAKE_SOURCE_DIR})
set(STARTER_SRC ${STARTER}.cpp ${STARTER}Class.cpp ${STARTER}StateMachine.cpp CheckProcessUtil.cpp PingThread.cpp StarterUtil.cpp StartProcessThread.cpp)


#
# User additional include, link folders/libraries and source files
#
set(USER_INCL_DIR )
set(USER_LIB_DIR )
set(USER_LIBS )
set(USER_SRC_FILES )

#
# Set gloabal info and include directories
#
set(ALL_CLASS_INCLUDE  ${STARTER_INCLUDE}  ${USER_INCL_DIR})
set(SERVER_SRC ${STARTER_SRC}  ${USER_SRC_FILES} ClassFactory.cpp main.cpp)
include_directories(${ALL_CLASS_INCLUDE}  ${USER_INCL_DIR} ${TANGO_INCLUDES})

#
# Device Server generation
#
set(SERVER_NAME Starter)
include(${MAKE_ENV}/cmake_common_target.opt)
