=== lib/cpp/log4tango/include/CMakeLists.txt ===
add_subdirectory(log4tango)
