=== debian/changelog ===
tango (9.3.4+dfsg1-2+deb12u1) bookworm; urgency=medium

  * Team upload
  * Make the property_* tables compatible with MariaDB 10.11 at install time.
    Thanks to Thomas Braun. Also update table modifications accordingly in
    dbconfig-common when upgrading from 9.3.4 (Closes: #1062979).
  * Add d/tests/starter-basic, including a test for #1062979.
  * Switch Salsa CI RELEASE variable from experimental to bookworm. Otherwise,
    Salsa CI runs the pipeline on experimental, and it has to be manually
    overriden.

 -- Santiago Ruano Rincón <santiago@freexian.com>  Wed, 04 Dec 2024 23:30:01 -0300

tango (9.3.4+dfsg1-2) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Bug fix: "tango-starter has an unmet service dependency from some
    other service", thanks to Carlos Falcon (Closes: #994226).
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

  [ Stephan Lachnit, Utkarsh Gupta ]
  * zmq.hpp now in cppzmq-dev (Closes: #1020056)

  [ Utkarsh Gupta ]
  * Revert "Bump debhelper from old 12 to 13".

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 11 Nov 2022 23:29:16 +0530

tango (9.3.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 9.3.4+dfsg1
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 09 Jan 2021 18:21:32 +0100

tango (9.3.4~rc7+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 9.3.4~rc7+dfsg1
  * Closes: #949549 for real, it was a false positive.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Sep 2020 14:33:11 +0200

tango (9.3.4~rc6+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 9.3.4~rc6+dfsg1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 16 Jun 2020 10:00:29 +0200

tango (9.3.4~rc4+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 9.3.4~rc4+dfsg1
  * Make "Files: *" paragraph the first in the copyright file.
  * d/control: Mark -doc package as Multi-Arch: foreign
  * Bump Standards-Version to 4.5.0 (nothing to do)
  * Bug fix: "Does not use hardening flags for compilation", thanks to
    Thomas Braun (Closes: #949549).
  * Bug fix: "Move tango_admin into a directory in $PATH", thanks to
    Thomas Braun (Closes: #949540).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 02 May 2020 11:40:18 +0200

tango (9.3.4~rc2+dfsg2-1~exp3) experimental; urgency=medium

  * 2nd attempt to fix the FTBFS.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 23 Nov 2019 12:20:57 +0100

tango (9.3.4~rc2+dfsg2-1~exp2) experimental; urgency=medium

  * d/rules deal with FTBFS due to the missing sphinxdoc sequence.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 23 Nov 2019 10:04:48 +0100

tango (9.3.4~rc2+dfsg2-1~exp1) experimental; urgency=medium

  [Carlos Manuel Falcon Torres]
  * Added network to Should-[Start|Stop]. (Closes: #906921)

  [Picca Frédéric-Emmanuel]
  * New upstream version 9.3.4~rc1+dfsg1
  * Bump Standards-Version to 4.4.1 (nothing to do)
  * Switched to compat level 12.
  * d/gitlab-ci.yml Added
  * d/control: Use debhelper-compat instead of debian/compat.
  * d/watch: Use https protocol.
  * d/control: Use secure URI in Homepage field.
  * d/control: Drop unnecessary dependency on dh-autoconf.
  * d/control: Removed lyx and all the latex dependencies.
  * d/control: Added python3-sphinx, python3-ipython to build
               the documentation.
  * d/rules: Removed overwrite_dh_strip which is useless now.
  * d/control: Added Rules-Requires-Root yes to the package.
  * d/control: Fixed lintian skip-systemd-native-flag-missing-pre-depends

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 13 Nov 2019 21:31:59 +0100
