=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

CONFIGURE_OPTS := --with-omni=/usr --disable-static --disable-dbcreate --disable-java --with-doxygen --disable-jpegmmx

# sphinxdoc is available only when building the arch-all packages
WITH_SPHINXDOC = $(shell if [ -x /usr/bin/dh_sphinxdoc ]; then echo "--with sphinxdoc"; fi)

%:
	dh $@ $(WITH_SPHINXDOC)

sql:
	./configure $(CONFIGURE_OPTS)
	# use this target to generate the dbconfig-common upgrade script once the debian/changelog is ok
	cp cppserver/database/update_db_from_9.2.5_to_9.3.4.sql debian/dbconfig-common/data/tango-db/upgrade/mysql/$(DEB_VERSION_UPSTREAM)
	$(MAKE) distclean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_build-indep:
	$(MAKE) -C lib/cpp/log4tango/doc
	$(MAKE) -C doc/src/ html

override_dh_auto_install-arch:
	dh_auto_install --destdir="$(CURDIR)/debian/tmp/"
	# install dbconfig-common scripts
	install -d debian/tmp/usr/share/dbconfig-common/data/tango-db/install
	install -p -m 644 cppserver/database/create_db.sql debian/tmp/usr/share/dbconfig-common/data/tango-db/install/mysql
	install -d debian/tmp/usr/share/
	cp -r debian/dbconfig-common debian/tmp/usr/share

	# install scripts used during the configuration
	install -d debian/tmp/usr/share/tango-db
	install -p -m 644 cppserver/database/create_db_tables.sql debian/tmp/usr/share/tango-db/create_db_tables.sql
	install -p -m 644 cppserver/database/stored_proc.sql debian/tmp/usr/share/tango-db/stored_proc.sql
	install -p -m 600 cppserver/database/my.cnf debian/tmp/usr/share/tango-db/my.cnf

override_dh_auto_install-indep:
	# move the built documentation before installing
	-cp -r doc/src/build/html doc/

	$(MAKE) -C lib/cpp/log4tango/doc install DESTDIR=$(CURDIR)/debian/tmp/
	$(MAKE) -C doc install-html DESTDIR=$(CURDIR)/debian/tmp/
	$(MAKE) -C lib/idl install DESTDIR=$(CURDIR)/debian/tmp/

	# install the tango home dir
	install -d debian/tmp/var/lib/tango

override_dh_install:
	# liblog4tango5v5
	dh_install -p liblog4tango5v5 usr/lib/*/liblog4tango.so.*

	# liblog4tango-dev
	dh_install -p liblog4tango-dev usr/include/tango/log4tango
	dh_install -p liblog4tango-dev usr/lib/*/liblog4tango*.so
	dh_install -p liblog4tango-dev usr/lib/*/pkgconfig/log4tango.pc

	# liblog4tango-doc
	dh_install -p liblog4tango-doc usr/share/doc/log4tango/log4tango-*/api usr/share/doc/liblog4tango-doc/html
	dh_install -p liblog4tango-doc usr/share/man/man3

	# libtango9
	dh_install -p libtango9 usr/lib/*/libtango.so.*

	# libtango-dev
	dh_install -p libtango-dev usr/include/tango/*.*
	dh_install -p libtango-dev usr/include/tango/idl
	dh_install -p libtango-dev usr/lib/*/libtango*.so
	dh_install -p libtango-dev usr/lib/*/pkgconfig/tango.pc

	# libtango-doc
	dh_install -p libtango-doc usr/share/doc/tango/html
	dh_install -p libtango-doc usr/share/tango/idl usr/share/doc/tango

	# libtango-tools
	dh_install -p libtango-tools usr/bin/tango_admin usr/bin

	# tango-common
	dh_install -p tango-common var/lib/tango

	# tango-db
	dh_install -p tango-db usr/bin/DataBaseds usr/lib/tango
	dh_install -p tango-db usr/share/tango-db
	dh_install -p tango-db usr/share/dbconfig-common

	# tango-starter
	dh_install -p tango-starter usr/bin/Starter usr/lib/tango

	# tango-accesscontrol
	dh_install -p tango-accesscontrol usr/bin/TangoAccessControl usr/lib/tango

	# tango-test
	dh_install -p tango-test usr/bin/TangoTest usr/lib/tango

	dh_install -X.la

override_dh_installinit:
	# the tango-accesscontrol device must be started after the tango-db.
	dh_installinit -ptango-accesscontrol --update-rcd-params="defaults 25"
	# the tango-starter device must be started after the tango-db and the tango-accesscontrol.
	dh_installinit -ptango-starter --update-rcd-params="defaults 30"
	dh_installinit -a -Ntango-accesscontrol -Ntango-starter

# Aucun test nécessaire pour la documentation
override_dh_auto_test-indep:
